<div class="content-wrapper">
  <div class="content-title">
    <ol class="breadcrumb">
      <li><span>Dashboard</span></li>
    </ol>
  </div>
  <div class="ml20 mr20">
    <div class="text-right">
      <button color="primary" mat-raised-button (click)="createEvent()" class="mt20 mb20">CREATE EVENT</button>
    </div>
    <div class="text-center" [hidden]="!loading">
      <div class="loading-items text-center">Loading Events</div>
    </div>
    <div class="text-center" *ngIf="!loading && (events.length === 0)">No Events Found!</div>
    <mat-card *ngFor="let event of events" class="event-cards">
      <mat-card-title>{{event.name}}</mat-card-title>
      <h4>Date: {{event.date | date: 'MMM d, y, h:mm a'}}</h4>
      <h4>Location: {{event.location}}</h4>
      <mat-card-subtitle>
        <span>Duration: {{convertMinsToHrsMins(event.duration)}}</span>
        <span class="float-right">Fees: {{ConvertCurrencyToINR(event.fees)}}</span>
      </mat-card-subtitle>
      <mat-card-content>
        <p>{{event.description}}</p>
        <p *ngIf="event.tags.length > 0" class="event-tags"> 
          <mat-chip-list>
            <mat-chip *ngFor="let tag of event.tags">{{tag}}</mat-chip>
          </mat-chip-list>
       </p>
      </mat-card-content>
      <mat-card-actions class="text-right">
        <div class="event-action" *ngIf="userId !== event.createdBy">
          <div *ngIf="event.canRegister" (click)="joinEvent(event.id)">
            <span class="action-text">Join Now</span>
            <button mat-mini-fab color="accent">
              <fa-icon [icon]="faPlus"></fa-icon>
            </button>  
          </div>
          <div *ngIf="!event.canRegister">
            <span class="action-text">Registered</span>
            <button mat-mini-fab color="primary" class="registered">
              <fa-icon [icon]="faCheck"></fa-icon>
            </button>  
          </div>
        </div>
      </mat-card-actions>
    </mat-card>
  </div>
</div>